Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.config
Class FlexConfigurationManager.NoOpLoginCommand

    java.lang.Object
      org.springframework.flex.config.FlexConfigurationManager.NoOpLoginCommand

All Implemented Interfaces:
  LoginCommand

Enclosing class:
  FlexConfigurationManager

    public static class FlexConfigurationManager.NoOpLoginCommand

extends Object
implements LoginCommand

This LoginCommand implementation serves as a temporary placeholder in the case where none is defined in services-config.xml and a Spring-configured LoginCommand may be injected later. This serves to eliminate a potentially confusing warning message that would otherwise be logged by BlazeDS.

Constructor Summary
`FlexConfigurationManager.NoOpLoginCommand()`

Method Summary
`Principal` | `doAuthentication(String username, Object credentials)`
`boolean` | `doAuthorization(Principal principal, List roles)`
`boolean` | `logout(Principal principal)`
`void` | `start(javax.servlet.ServletConfig config)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlexConfigurationManager.NoOpLoginCommand

    public FlexConfigurationManager.NoOpLoginCommand()

Method Detail

### start

    public void start(javax.servlet.ServletConfig config)

  Specified by:
    `start` in interface `LoginCommand`

### stop

    public void stop()

  Specified by:
    `stop` in interface `LoginCommand`

### doAuthentication

    public Principal doAuthentication(String username,
                                      Object credentials)

  Specified by:
    `doAuthentication` in interface `LoginCommand`

### doAuthorization

    public boolean doAuthorization(Principal principal,
                                   List roles)

  Specified by:
    `doAuthorization` in interface `LoginCommand`

### logout

    public boolean logout(Principal principal)

  Specified by:
    `logout` in interface `LoginCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.